Maybe a very simple question but what exactly is included when you
require rubygems?

why is is required for certain modules like net-ssh

thanks